﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;
using System.ComponentModel;
using System.Collections.ObjectModel;
using Infragistics.Windows.DataPresenter;
using Infragistics.Windows.Controls;


namespace WpfApplication196
{
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {
        public ObservableCollection<Person> people = new ObservableCollection<Person>();

        string columndata = string.Empty;

        public MainWindow()
        {
            InitializeComponent();
            layoutroot.DataContext = people;
            dpresenter1.Loaded += new RoutedEventHandler(dpresenter1_Loaded);
            dpresenter1.SelectedItemsChanged += new EventHandler<Infragistics.Windows.DataPresenter.Events.SelectedItemsChangedEventArgs>(dpresenter1_SelectedItemsChanged);

            dpresenter1.FieldLayoutInitialized += new EventHandler<Infragistics.Windows.DataPresenter.Events.FieldLayoutInitializedEventArgs>(dpresenter1_FieldLayoutInitialized);

        }

        void dpresenter1_SelectedItemsChanged(object sender, Infragistics.Windows.DataPresenter.Events.SelectedItemsChangedEventArgs e)
        {
            //throw new NotImplementedException();
        //    MessageBox.Show(e.Type.ToString());
        }

        void dpresenter1_FieldLayoutInitialized(object sender, Infragistics.Windows.DataPresenter.Events.FieldLayoutInitializedEventArgs e)
        {
            RecordFilter ModelRecordFilter = new RecordFilter { FieldName = "Make" };
            ComparisonCondition ModelCondition = new ComparisonCondition(ComparisonOperator.NotEquals, "ford");
            ModelRecordFilter.Conditions.Add(ModelCondition);
            if (dpresenter1.FieldLayouts.Count == 2)
                dpresenter1.FieldLayouts[1].RecordFilters.Add(ModelRecordFilter);
        }

        void dpresenter1_Loaded(object sender, RoutedEventArgs e)
        {

            //RecordFilter ModelRecordFilter = new RecordFilter { FieldName = "Make" };
            //ComparisonCondition ModelCondition = new ComparisonCondition(ComparisonOperator.Equals, "ford");
            //ModelRecordFilter.Conditions.Add(ModelCondition);
            //dpresenter1.FieldLayouts[1].RecordFilters.Add(ModelRecordFilter);

        }

        private void Button_Click(object sender, RoutedEventArgs e)
        {
            Button btn = (Button)sender;
            MessageBox.Show(btn.Tag.ToString());
        }

        private void Window_Loaded(object sender, RoutedEventArgs e)
        {
            for (int i = 0; i < 10; i++)
            {
                Person p = new Person()
                {
                    Name = "Name " + i.ToString(),
                    Address = "Address " + i.ToString(), 

                    CodeDepBureau = i.ToString()
                };

                people.Add(p);
                int j = i % 2;

                if (j == 0)
                {
                    Car c = new Car()
                    {
                        Make = "Dodge",
                        Model = "Pickup"

                    };
                    p.Cars.Add(c);
                }
                else
                {
                    Car ford = new Car()
                    {
                        Make = "ford",
                        Model = "Taurus"
                    };
                    p.Cars.Add(ford);
                }


            }

        }

        private void btn_Click(object sender, RoutedEventArgs e)
        {
            foreach (Field f in dpresenter1.SelectedItems.Fields)
            {
                columndata += "data for field " + f.Name;
                foreach (Record r in dpresenter1.Records)
                {
                    DataRecord dr = (DataRecord)r;
                    columndata += "\n" + dr.Cells[f.Name].Value.ToString();
                }


            }

            MessageBox.Show(columndata);
        }
    }
}
